﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Uploading Accounts and Associated Entitlements using Database Connection</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Accounts and Associated Entitlements using Database Connection</h1>
        <p>In this type of accounts and associated entitlements upload, the direct connection is made to the external / identity-aware applications such as MySQL, client database to pull the user details into the <strong>Enterprise Idenity Cloud</strong> database.</p>
        <p>Database connector is used for importing identities, access from an external database into <strong>Enterprise Idenity Cloud</strong>. The same connector is also used for creating new account and provisioning access in an external database. For more information on database connector, see the <strong>Saviynt Database Connector Guide.</strong></p>
        <p>To upload accounts and associated entitlements using database connection, perform the following:</p>
        <ol>
            <li>Go to <strong>Admin &gt; Identity Repository &gt; Connections </strong>and create a new database connection. For more information on creating connections, refer to the <MadCap:xref href="Creating-a-Connection.htm#top">Creating a Connection</MadCap:xref>.</li>
            <li>Place the schema files mapping the account details from client database account table to Saviynt database account table in <label class="filename-path">C:/saviynt/Import/Datafiles/xmlschemaforextranaldbimport</label>.</li>
            <li>Review and ensure source database account and associated entitlement parameters are mapped to Saviynt database account and entitlement table fields. The first part of the <strong>.xml</strong> consist of the query that will fetch the results and the second part consists of the mappings from source database to Saviynt database.</li>
            <li>Using<strong> Admin &gt; Job Control Panel</strong>create the job using<strong style="text-align: left;"> Add New Job</strong>. Select the Job Type as<strong style="text-align: left;"> Database &gt; Accounts Import (Complete) from Database (AccountsImportFullJob)</strong>and specify&#160; the Job Name and click<strong style="text-align: left;"> Save</strong>. If you are using EIC Release pre-v5.5.0 then go to<strong> ADMIN &gt; Job Control Panel &gt; Database &gt; Accounts Import (Complete) from Database (AccountsImportFullJob) </strong>.</li>
            <li>Click on the <strong>Add New Job</strong> which opens a pop up allowing you to create a new instance of the job.</li>
            <li>Once you create a new instance of the job, click on the <strong>Accounts Import (Complete) from Database (AccountsImportFullJob)</strong>to view the job you created. Click the <strong>Action </strong>arrow and click<strong> START</strong> to execute the job.</li>
            <li>Select the appropriate <strong>Connection, File Name</strong> and click <strong>Submit</strong>.</li>
            <li>Once the job executes, the account and associated entitlements will be imported into the <strong>EIC</strong> identity repository.</li>
        </ol>
    </body>
</html>